# sub-index

[![NPM version](https://img.shields.io/npm/v/str-indexes-of.svg)](https://www.npmjs.com/package/str-indexes-of)
[![Bower version](https://img.shields.io/bower/v/str-indexes-of.svg)](https://github.com/shinnn/str-indexes-of/releases)
[![Build Status](https://travis-ci.org/shinnn/str-indexes-of.svg?branch=master)](https://travis-ci.org/shinnn/str-indexes-of)
[![Coverage Status](https://img.shields.io/coveralls/shinnn/str-indexes-of.svg)](https://coveralls.io/r/shinnn/str-indexes-of)
[![devDependencies Status](https://david-dm.org/shinnn/str-indexes-of/dev-status.svg)](https://david-dm.org/shinnn/str-indexes-of?type=dev)

Find an array index of the substitute value that should be chosen when a given index is removed

```javascript
import subIndex from 'sub-index';

const array = new Array(3);

subIndex(array, 1); //=> 0
subIndex(array, 2); //=> 1
subIndex(array, 3); //=> 2

subIndex(array, 0); //=> 1
```

## Installation

### [npm](https://www.npmjs.com/)

```
npm install sub-index
```

### [bower](https://bower.io/)

```
bower install sub-index
```

## API

### subIndex(*arr*, *index*)

*arr*: `Array`  
*index*: `Number` (index of the array)  
Return: `Number` or `null`

```javascript
strIndexesOf('ABC-ABC', 'A'); //=> [0, 4]
strIndexesOf('ABC-ABC', 'A', 4); //=> [4]
```

## License

Copyright (c) 2016 [Shinnosuke Watanabe](https://github.com/shinnn)

Licensed under [the MIT License](./LICENSE).
